HELM(1)

NAME

helm-repo-index - generate an index file given a directory containing packaged charts

SYNOPSIS

helm repo index [flags] [DIR]

DESCRIPTION

Read the current directory and generate an index file based on the charts found.

This tool is used for creating an 'index.yaml' file for a chart repository. To set an absolute URL to the charts, use '--url' flag.

To merge the generated index with an existing index file, use the '--merge' flag. In this case, the charts found in the current directory will be merged into the existing index, with local charts taking priority over existing charts.

OPTIONS

--merge=""
    merge the generated index into the given index

--url=""
    url of chart repository

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm-repo(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra